# Query Payment Status

Query payment/payout confirmation result status

Endpoint: POST /api/v2/merch/pay/inquiry
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `request_id` (string, required)
    Request number, Unique within the requesting system

## Response 200 fields (*/*):

  - `status` (string, required)
    Status
    Enum: "PROCESSING", "SUCCEEDED", "FAILED", "RETURNED"

  - `fee_amount` (integer, required)
    Fee (Currency is the Payment currency, the CurrencyMinimum Unit)

  - `beneficiary_type` (string, required)
    CollectionPeopleType
    Enum: "PAY", "WITHDRAW"

  - `order_no` (string, required)
    PaymentOrder number

  - `failed_reason` (string, required)
    FailedReason

  - `payment_currency` (string, required)
    PaymentOriginalCurrency

  - `received_currency` (string, required)
    Payment targetCurrency

  - `payment_amount` (string, required)
    PaymentAmount

  - `received_amount` (string, required)
    Amount received

